Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package plugins
  Definition Classes
    nsc
- MissingPluginException
- Plugin
- PluginComponent
- PluginDescription
- PluginLoadException
- Plugins

c

scala.tools.nsc.plugins

# Plugin 

###
Companion object Plugin

#### abstract class Plugin extends AnyRef

Information about a plugin loaded from a jar file.

The concrete subclass must have a one-argument constructor that accepts an instance of `global`.

    (val global: Global)

Source
  Plugin.scala
Version

  1.0, 2007-5-21

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Plugin
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Plugin()

### Abstract Value Members

1.  abstract val components: List[PluginComponent]

   The components that this phase defines

2.  abstract val description: String

   A one-line description of the plugin

3.  abstract val global: Global

   The compiler that this plugin uses.

   The compiler that this plugin uses. This is normally equated to a constructor parameter in the concrete subclass.

4.  abstract val name: String

   The name of this plugin

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Plugin to any2stringadd[Plugin] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Plugin, B)
   Implicit
     This member is added by an implicit conversion from Plugin to ArrowAssoc[Plugin] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Plugin) ⇒ Boolean, msg: ⇒ Any): Plugin
   Implicit
     This member is added by an implicit conversion from Plugin to Ensuring[Plugin] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Plugin) ⇒ Boolean): Plugin
   Implicit
     This member is added by an implicit conversion from Plugin to Ensuring[Plugin] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Plugin
    Implicit
      This member is added by an implicit conversion from Plugin to Ensuring[Plugin] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Plugin
    Implicit
      This member is added by an implicit conversion from Plugin to Ensuring[Plugin] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Plugin to StringFormat[Plugin] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  def init(options: List[String], error: (String) ⇒ Unit): Boolean

    Handle any plugin-specific options.

    Handle any plugin-specific options. The user writes `-P:plugname:opt1,opt2`, but the plugin sees `List(opt1, opt2)`. The plugin can opt out of further processing by returning false. For example, if the plugin has an "enable" flag, now would be a good time to sit on the bench.

    options

      plugin arguments

    error

      error function

    returns

      true to continue, or false to opt out

19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
23.  def options: List[String]
24.  val optionsHelp: Option[String]

    A description of this plugin's options, suitable as a response to the -help command-line option.

    A description of this plugin's options, suitable as a response to the -help command-line option. Conventionally, the options should be listed with the `-P:plugname:` part included.

25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Plugin, B)
    Implicit
      This member is added by an implicit conversion from Plugin to ArrowAssoc[Plugin] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1.  def processOptions(options: List[String], error: (String) ⇒ Unit): Unit
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) use Plugin#init instead

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Plugin to any2stringadd[Plugin]

### Inherited by implicit conversion StringFormat from Plugin to StringFormat[Plugin]

### Inherited by implicit conversion Ensuring from Plugin to Ensuring[Plugin]

### Inherited by implicit conversion ArrowAssoc from Plugin to ArrowAssoc[Plugin]

### Ungrouped